"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AudioPayload = void 0;
class AudioPayload {
    static read(pbf, end) {
        return pbf.readFields(AudioPayload._readField, { payload: null, session_id: 0, codec: 0, sample_rate: 0, latency_measure_tag: 0 }, end);
    }
    static _readField(tag, obj, pbf) {
        if (pbf) {
            if (tag === 1)
                obj.payload = pbf.readBytes();
            else if (tag === 2)
                obj.session_id = pbf.readVarint();
            else if (tag === 3)
                obj.codec = pbf.readVarint();
            else if (tag === 4)
                obj.sample_rate = pbf.readVarint();
            else if (tag === 5)
                obj.latency_measure_tag = pbf.readVarint();
        }
    }
    static write(obj, pbf) {
        if (pbf) {
            if (obj.payload)
                pbf.writeBytesField(1, obj.payload);
            if (obj.session_id)
                pbf.writeVarintField(2, obj.session_id);
            if (obj.codec)
                pbf.writeVarintField(3, obj.codec);
            if (obj.sample_rate)
                pbf.writeVarintField(4, obj.sample_rate);
            if (obj.latency_measure_tag)
                pbf.writeVarintField(5, obj.latency_measure_tag);
        }
    }
}
exports.AudioPayload = AudioPayload;
//# sourceMappingURL=AudioPayload.js.map