"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Error = exports.ErrorCode = void 0;
var ErrorCode;
(function (ErrorCode) {
    ErrorCode[ErrorCode["ERROR_CAMERA_NOT_CONNECTED"] = 1] = "ERROR_CAMERA_NOT_CONNECTED";
    ErrorCode[ErrorCode["ERROR_ILLEGAL_PACKET"] = 2] = "ERROR_ILLEGAL_PACKET";
    ErrorCode[ErrorCode["ERROR_AUTHORIZATION_FAILED"] = 3] = "ERROR_AUTHORIZATION_FAILED";
    ErrorCode[ErrorCode["ERROR_NO_TRANSCODER_AVAILABLE"] = 4] = "ERROR_NO_TRANSCODER_AVAILABLE";
    ErrorCode[ErrorCode["ERROR_TRANSCODE_PROXY_ERROR"] = 5] = "ERROR_TRANSCODE_PROXY_ERROR";
    ErrorCode[ErrorCode["ERROR_INTERNAL"] = 6] = "ERROR_INTERNAL";
})(ErrorCode = exports.ErrorCode || (exports.ErrorCode = {}));
class Error {
    static read(pbf, end) {
        return pbf.readFields(Error._readField, { code: 1, message: '' }, end);
    }
    static _readField(tag, obj, pbf) {
        if (pbf) {
            if (tag === 1)
                obj.code = pbf.readVarint();
            else if (tag === 2)
                obj.message = pbf.readString();
        }
    }
    static write(obj, pbf) {
        if (pbf) {
            if (obj.code)
                pbf.writeVarintField(1, obj.code);
            if (obj.message)
                pbf.writeStringField(2, obj.message);
        }
    }
}
exports.Error = Error;
//# sourceMappingURL=Error.js.map