"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PlaybackEnd = void 0;
var Reason;
(function (Reason) {
    Reason[Reason["ERROR_TIME_NOT_AVAILABLE"] = 1] = "ERROR_TIME_NOT_AVAILABLE";
    Reason[Reason["ERROR_PROFILE_NOT_AVAILABLE"] = 2] = "ERROR_PROFILE_NOT_AVAILABLE";
    Reason[Reason["ERROR_TRANSCODE_NOT_AVAILABLE"] = 3] = "ERROR_TRANSCODE_NOT_AVAILABLE";
    Reason[Reason["PLAY_END_SESSION_COMPLETE"] = 128] = "PLAY_END_SESSION_COMPLETE";
})(Reason || (Reason = {}));
class PlaybackEnd {
    static read(pbf, end) {
        return pbf.readFields(PlaybackEnd._readField, { session_id: 0, reason: 0 }, end);
    }
    static _readField(tag, obj, pbf) {
        if (pbf) {
            if (tag === 1)
                obj.session_id = pbf.readVarint();
            else if (tag === 2)
                obj.reason = pbf.readVarint();
        }
    }
    static write(obj, pbf) {
        if (pbf) {
            if (obj.session_id)
                pbf.writeVarintField(1, obj.session_id);
            if (obj.reason)
                pbf.writeVarintField(2, obj.reason);
        }
    }
}
exports.PlaybackEnd = PlaybackEnd;
PlaybackEnd.Reason = Reason;
//# sourceMappingURL=PlaybackEnd.js.map