"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Redirect = void 0;
class Redirect {
    static read(pbf, end) {
        return pbf.readFields(Redirect._readField, { new_host: '', is_transcode: false }, end);
    }
    static _readField(tag, obj, pbf) {
        if (pbf) {
            if (tag === 1)
                obj.new_host = pbf.readString();
            else if (tag === 2)
                obj.is_transcode = pbf.readBoolean();
        }
    }
    static write(obj, pbf) {
        if (pbf) {
            if (obj.new_host)
                pbf.writeStringField(1, obj.new_host);
            if (obj.is_transcode)
                pbf.writeBooleanField(2, obj.is_transcode);
        }
    }
}
exports.Redirect = Redirect;
//# sourceMappingURL=Redirect.js.map