"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TalkbackEnd = void 0;
class TalkbackEnd {
    static read(pbf, end) {
        return pbf.readFields(TalkbackEnd._readField, { user_id: '', session_id: 0, quick_action_id: 0, device_id: '' }, end);
    }
    static _readField(tag, obj, pbf) {
        if (pbf) {
            if (tag === 1)
                obj.user_id = pbf.readString();
            else if (tag === 2)
                obj.session_id = pbf.readVarint();
            else if (tag === 3)
                obj.quick_action_id = pbf.readVarint();
            else if (tag === 4)
                obj.device_id = pbf.readString();
        }
    }
    static write(obj, pbf) {
        if (pbf) {
            if (obj.user_id)
                pbf.writeStringField(1, obj.user_id);
            if (obj.session_id)
                pbf.writeVarintField(2, obj.session_id);
            if (obj.quick_action_id)
                pbf.writeVarintField(3, obj.quick_action_id);
            if (obj.device_id)
                pbf.writeStringField(4, obj.device_id);
        }
    }
}
exports.TalkbackEnd = TalkbackEnd;
//# sourceMappingURL=TalkbackEnd.js.map